# CraftPresence

## [v1.9.4](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.9.4) (2022-04-27)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.9.3.3...v1.9.4) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Refactor] Added `RefreshDynamicData` function  
    - A significant portion of the logic in `EncodeConfigData` has been moved into it's own function. The user-facing impact of this change is primarily that newly-created placeholders will now appear in `/cp placeholders list` without the need to do an RPC update.  
    - Backend-wise, minor cleanups and documentation changes were made for better usability.  
- [Fix] Ensure `tags` cannot be null and is the correct type in `UpdateProfile`  
- [Change] Command Changes for create commands  
    - Enabled will now always be true for newly created placeholders instead of via command argument.  
    - Resolved an Issue where an incorrect argument for conditional data was being generated for `/cp placeholders create`. Those effected will want to reset/remove these placeholders and re-add them via `create:modify` to prevent errors.  
    - `minimumTOC` and `maximumTOC` will now default to the current TOC version, to reflect the config's stated defaults.  
    - The prefix for newly-created placeholders will now default to `@` to represent the default prefix most others have.  
- [Fix] Fix NotifyChange not working (For the last time)  
    - Apparently this was broken in v1.7.x's pipeline, but only in some circumstances. This has been resolved to hopefully never break again  
